controllers/DepartController.php
<?php

namespace app\controllers;

use Yii;
use app\models\Depart;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

/**
 * DepartController implements the CRUD actions for Depart model.
 */
class DepartController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Lists all Depart models.
     * @return mixed
     */
    public function actionIndex()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Depart::find(),
        ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Depart model.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }

    
     public function actionC1(){
		// select * from depart;
                $consulta= Depart::find()
                ->all();

		
		return $this->render('consultas',[
                         "titulo"=>'Consulta 1',
                         "texto"=>'Mostrar  dept_no y localizacion de departamentos',
			"datos"=>$consulta,
		]);
	
	
	}
        
          public function actionC2(){
		// select  localizacion, numero from depart;
                $consulta= Depart::find()
                ->select([ 'dept_no','loc'])
                ->all();

		
		return $this->render('consultas',[
                         "titulo"=>'Consulta 2',
                         "texto"=>'Mostrar  dept_no y localizacion de departamentos',
			"datos"=>$consulta,
		]);
	
	}
         public function actionC3(){
		// select   numero, dnombre, loc from depart;
                $consulta= Depart::find()
                ->select([ 'dept_no','dnombre','loc'])
                ->all();

		
		return $this->render('consultas',[
                         "titulo"=>'Consulta 3',
                         "texto"=>'Mostrar  dept_no, nombre y localizacion de departamentos',
			"datos"=>$consulta,
		]);
	
	}
        
         public function actionC4(){
		// select  count(*) from depart;
                $consulta= Depart::find()
                ->count();

		
		return $this->render('consultas',[
                         "titulo"=>'Consulta 4',
                         "texto"=>'Cuenta departamentos',
			"datos"=>$consulta,
		]);
	
	}
        
        // consultas con dataprovider
        
          public function actionCdp1(){
                
                $consulta= Depart::find();
                
                $a= new ActiveDataProvider([
                    "query"=>$consulta,
                ]);
                        
               
              	return $this->render('consultasdp1',[
                   "dataprovider"=>$a,
		]);
	
	}
        
        
         public function actionCdp2(){
                
                $consulta= Depart::find()
                        ->select(['loc','dept_no']);
                
                $a= new ActiveDataProvider([
                    "query"=>$consulta,
                ]);
                        
               
              	return $this->render('consultasdp2',[
                   "dataprovider"=>$a,
		]);
	
	}
        
           public function actionCdp3(){
                
                $consulta= Depart::find()
                        ->select(['loc','dept_no','dnombre']);
                
                $a= new ActiveDataProvider([
                    "query"=>$consulta,
                ]);
                        
               
              	return $this->render('consultasdp3',[
                   "dataprovider"=>$a,
		]);
	
	}
        
          public function actionCdp4(){
                
                $consulta= Depart:: find()
                        ->select('count(*) as salida' );
                
                $a= new ActiveDataProvider([
                    "query"=>$consulta,
                ]);
                        
               
              	return $this->render('consultasdp4',[
                   "dataprovider"=>$a,
                
		]);
	
	}
    /**
     * Creates a new Depart model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate()
    {
        $model = new Depart();

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->dept_no]);
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }

    /**
     * Updates an existing Depart model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->dept_no]);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Depart model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Depart model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return Depart the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = Depart::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
}

controllers/EmpleController.php
<?php

namespace app\controllers;

use Yii;
use app\models\Emple;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

/**
 * EmpleController implements the CRUD actions for Emple model.
 */
class EmpleController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Lists all Emple models.
     * @return mixed
     */
    public function actionIndex()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Emple::find(),
        ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Emple model.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }

    /**
     * Creates a new Emple model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate()
    {
        $model = new Emple();

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->emp_no]);
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }

    /**
     * Updates an existing Emple model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->emp_no]);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    public function actionConsulta1(){
		// select * from emple;
		$consulta= Emple::find()->all();
		
		return $this->render('consultas',[
                         "titulo"=>'Consulta 1',
                         "texto"=>'Mostrar todos los empleados',
			"datos"=>$consulta,
		]);
	
	}

        public function actionConsulta2(){
		// select  apellido, oficio from emple;
                $consulta= Emple::find()
                ->select([ 'apellido','oficio'])
                ->all();

		
		return $this->render('consultas',[
                         "titulo"=>'Consulta 2',
                         "texto"=>'Mostrar  apellidos y oficio de los empleados',
			"datos"=>$consulta,
		]);
	
	}
        
         public function actionConsulta3(){
		// select  count(*) from emple;
                $consulta= Emple::find()
                ->count();
		
		return $this->render('consultas',[
                         "titulo"=>'Consulta 3',
                         "texto"=>'Cuenta empleados',
			"datos"=>$consulta,
		]);
	
	}
        
         public function actionConsulta4(){
		// select * from emple order by apellido;
                $consulta= Emple::find()
                ->orderBy('apellido')
                        ->all();
		
		return $this->render('consultas',[
                         "titulo"=>'Consulta 4',
                         "texto"=>'Empleados ordenados por apellido de forma ascendente',
			"datos"=>$consulta,
		]);
	
	}
        
         public function actionConsulta5(){
		// select * from emple order by apellido desc;
                $consulta= Emple::find()
                ->orderBy(['apellido'=> SORT_DESC])
                        ->all();
		
		return $this->render('consultas',[
                         "titulo"=>'Consulta 5',
                         "texto"=>'Empleados ordenados por apellido de forma descendente',
			"datos"=>$consulta,
		]);
	
	}
        
          public function actionConsulta6(){
		// select * from emple order by dept_no desc;
                $consulta= Emple::find()
                ->orderBy(['dept_no'=> SORT_DESC])
                        ->all();
		
		return $this->render('consultas',[
                         "titulo"=>'Consulta 6',
                         "texto"=>'Empleados ordenados por dept_no de forma descendente',
			"datos"=>$consulta,
		]);
	
	}
        
        public function actionConsulta7(){
		// select * from emple order by dept_no desc and oficio asc;
                $consulta= Emple::find()
                ->orderBy(['dept_no'=> SORT_DESC,
                           'oficio'=> SORT_ASC])
                        ->all();
		
		return $this->render('consultas',[
                         "titulo"=>'Consulta 7',
                         "texto"=>'Empleados ordenados por dept_no de forma descendente y oficio ascendente',
			"datos"=>$consulta,
		]);
	
	}
        
         public function actionConsulta8(){
		// select * from emple order by dept_no desc and apellido asc;
                $consulta= Emple::find()
                ->orderBy(['dept_no'=> SORT_DESC,
                           'apellido'=> SORT_ASC])
                        ->all();
		
		return $this->render('consultas',[
                         "titulo"=>'Consulta 8',
                         "texto"=>'Empleados ordenados por dept_no de forma descendente y apellido ascendente',
			"datos"=>$consulta,
		]);
	
	}
        
         public function actionConsulta9(){
		// select emp_no from emple where salario>2000;
                
                $consulta= Emple:: find()
                        ->select('emp_no')
                        ->where (
                             'salario>2000')
                   ->all();
                    
              		return $this->render('consultas',[
                         "titulo"=>'Consulta 9',
                         "texto"=>'Mostrar empleados de empelados  con salario mayor a 2000',
			"datos"=>$consulta,
                        
		]);
	}
        
             public function actionConsulta10(){
		// select emp_no, apellido from emple where salario<2000;
                
                $consulta= Emple:: find()
                        ->select('emp_no','apellido')
                        ->where (
                             'salario<2000')
                   ->all();
                    
              		return $this->render('consultas',[
                         "titulo"=>'Consulta 10',
                         "texto"=>'Mostrar emp_no y apellido de empelados con salario menor a 2000',
			"datos"=>$consulta,
                        
		]);
	}
        
        
            public function actionConsulta11(){
		// select *from emple where salario between 1500 and 2500;
                
                $consulta= Emple:: find()
                        ->where (
                             'salario between 1500 and 2500')
                   ->all();
                    
              		return $this->render('consultas',[
                         "titulo"=>'Consulta 11',
                         "texto"=>'Mostrar empleados con salario between 1500 and 2500',
			"datos"=>$consulta,
                        
		]);
	}
        
         public function actionConsulta12(){
		// select * from emple where oficio='Analista';
                
                $consulta= Emple::find()
                        ->where(['like', 'oficio','analista'])
                   ->all();
                    
              		return $this->render('consultas',[
                         "titulo"=>'Consulta 12',
                         "texto"=>'Mostrar empleados cuyo oficio sea analista',
			"datos"=>$consulta,
                        
		]);
	}
        
        
         public function actionConsulta13(){
		// select * from emple where oficio=analista y salario >2000;
                $consulta= Emple:: find()->
                   where(['and', 
                       ['like', 'oficio','analista'],
                           'salario>2000'])
                        ->all();
                
		return $this->render('consultas',[
                         "titulo"=>'Consulta 13',
                         "texto"=>'Mostrar empleados cuyo oficio sea analista y salario >2000',
			"datos"=>$consulta,
		]);
          }
	
        
	
        public function actionConsulta14(){
		// select apellido, oficio from emple where dept_no=20 ;
                
                $consulta= Emple:: find()->select('apellido','oficio')->
                        where('dept_no=20')
                        ->all();
                    
              		return $this->render('consultas',[
                         "titulo"=>'Consulta 14',
                         "texto"=>'Mostrar apellidos y oficios de empleados de departamento nº 20',
			"datos"=>$consulta,
                        
		]);
	
	}
        
         public function actionConsulta15(){
		// select count(*) from emple where oficio=vendedor ;
                
                $consulta= Emple:: find()->
                        where(['like', 'oficio','vendedor'])
                        ->count();
                    
              		return $this->render('consultas',[
                         "titulo"=>'Consulta 15',
                         "texto"=>'Cuenta empleados cuyo oficio es vendedor',
			"datos"=>$consulta,
                        
		]);
	
	}
        
          public function actionConsulta16(){
		// select * from emple where apellido= like 'n% or m%' order by apellido asc ;
                
                $consulta= Emple:: find()->
                        where(["or","left(apellido,1)='M'","left(apellido,1)='N'"])
                        ->orderBy(['apellido'=> SORT_ASC])
                        ->all();

views/site/about.php
<?php

/* @var $this yii\web\View */

use yii\helpers\Html;

$this->title = 'About';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-about">
    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        This is the About page. You may modify the following file to customize its content:
    </p>

    <code><?= __FILE__ ?></code>
</div>

views/site/consultas.php
<?php

/* @var $this yii\web\View */
    use yii\helpers\Html;
?>
<div class="site-index">

    <div class="jumbotron">
        <h1>Consultas de seleccion</h1>

        <p class="lead">Realizando consultas</p>
    </div>

    <div class="body-content">

       
            <div class="container">
     
             <div class="col-sm-4">
                <h2>Consulta1</h2>

                <p>Mostrar todos los registros de empelados</p>

                <p><?= Html::a("ejecutar consulta", ['emple/consulta1'],['class'=> 'btn btn-default']) ?></p>
            </div>
                
                
            <div class="col-lg-12">
                <h2>Consulta2</h2>

                <p>Mostrar  apellidos y oficio de los empleados</p>
                <p><?= Html::a("ejecutar consulta", ['emple/consulta2']) ?></p>

            </div>
                
              
            <div class="col-lg-12">
                <h2>Consulta3</h2>
                    <p>Cuenta numero de empelados</p>
                <p><?= Html::a("ejecutar consulta", ['emple/consulta3']) ?></p>

        
            </div>
             <div class="col-lg-12">
                <h2>Consulta4</h2>

                <p>Empleados ordenados por apellido de forma ascendente</p>
                <p><?= Html::a("ejecutar consulta", ['emple/consulta4']) ?></p>

            </div>
            
             <div class="col-lg-12">
                <h2>Consulta5</h2>

                <p>Empleados ordenados por apellido de forma descendente</p>
                <p><?= Html::a("ejecutar consulta", ['emple/consulta5']) ?></p>

            </div>
             <div class="col-lg-12">
                <h2>Consulta6</h2>

                <p>Empleados ordenados por dept_no de forma descendente</p>
                <p><?= Html::a("ejecutar consulta", ['emple/consulta6']) ?></p>

            </div>
            
             <div class="col-lg-12">
                <h2>Consulta7</h2>

                <p>Empleados ordenados por dept_no de forma desc y oficio asc</p>
                <p><?= Html::a("ejecutar consulta", ['emple/consulta7']) ?></p>

            </div>
            
             <div class="col-lg-12">
                <h2>Consulta8</h2>

                <p>Empleados ordenados por dept_no de forma desc y apellido asc</p>
                <p><?= Html::a("ejecutar consulta", ['emple/consulta8']) ?></p>

            </div>
            
            
            <div class="col-lg-12">
                <h2>Consulta9</h2>

                <p>Mostrar empleados de departamentos  con salario mayor a 2000</p>
                <p><?= Html::a("ejecutar consulta", ['emple/consulta9']) ?></p>

            </div>
            
            <div class="col-lg-12">
                <h2>Consulta10</h2>

                <p>Mostrar empleados de departamentos  con salario menor a 2000</p>
                <p><?= Html::a("ejecutar consulta", ['emple/consulta10']) ?></p>

            </div>
            
            <div class="col-lg-12">
                <h2>Consulta11</h2>

                <p>Mostrar empleados con salario entre 1500 y 2500</p>
                <p><?= Html::a("ejecutar consulta", ['emple/consulta11']) ?></p>

            </div>
           
            
            <div class="col-lg-12">
                <h2>Consulta12</h2>

                <p>Mostrar empleados cuyo oficio sea analista</p>
                <p><?= Html::a("ejecutar consulta", ['emple/consulta12']) ?></p>

            </div>
            
            <div class="col-lg-12">
                <h2>Consulta13</h2>

                <p>Mostrar empleados cuyo oficio sea analista y salario mayor a 2000</p>
                <p><?= Html::a("ejecutar consulta", ['emple/consulta13']) ?></p>

            </div>
            
             <div class="col-lg-12">
                <h2>Consulta14</h2>

                <p>Mostrar apellido y oficio de empleados del departamento nº 20</p>
                <p><?= Html::a("ejecutar consulta", ['emple/consulta14']) ?></p>

            </div>
            
            
            <div class="col-lg-12">
                <h2>Consulta15</h2>

                <p>Cuenta empleados cuyo oficio es vendedor</p>
                <p><?= Html::a("ejecutar consulta", ['emple/consulta15']) ?></p>

            </div>
            
            <div class="col-lg-12">
                <h2>Consulta16</h2>

                <p>Mostrar empleados cuyo apellido comience por m o n y ordenar por apellido de forma asc</p>
                <p><?= Html::a("ejecutar consulta", ['emple/consulta16']) ?></p>

            </div>
            
            <div class="col-lg-12">
                <h2>Consulta17</h2>

                <p>Mostrar empleados cuyo oficio sea vendedor y ordenar por apellido de forma asc</p>
                <p><?= Html::a("ejecutar consulta", ['emple/consulta17']) ?></p>

            </div>
            
             <div class="col-lg-12">
                <h2>Consulta18</h2>

                <p>Mostrar el apellido del empleado que más gana</p>
                <p><?= Html::a("ejecutar consulta", ['emple/consulta18']) ?></p>

            </div>
            
            
             <div class="col-lg-12">
                <h2>Consulta19</h2>

                <p>Mostrar los empleados cuyo departamento sea el 10 y cuyo oficio analista ordenar por apellido y oficio de forma asc</p>
                <p><?= Html::a("ejecutar consulta", ['emple/consulta19']) ?></p>

            </div>
            
             <div class="col-lg-12">
                <h2>Consulta20</h2>

                <p>Mostrar los meses en que los empelados se han dado de alta</p>
                <p><?= Html::a("ejecutar consulta", ['emple/consulta20']) ?></p>

            </div>
            
            <div class="col-lg-12">
                <h2>Consulta21</h2>

                <p>Mostrar los años en que los empelados se han dado de alta</p>
                <p><?= Html::a("ejecutar consulta", ['emple/consulta21']) ?></p>

            </div>
            
            
            <div class="col-lg-12">
                <h2>Consulta22</h2>

                <p>Mostrar los dias del mes en que los empelados se han dado de alta</p>
                <p><?= Html::a("ejecutar consulta", ['emple/consulta22']) ?></p>

            </div>
            
             <div class="col-lg-12">
                <h2>Consulta23</h2>

                <p>Mostrar los apellidos de los empleados con salario mayor a 2000 o pertenezcan al departamento nº20</p>
                <p><?= Html::a("ejecutar consulta", ['emple/consulta23']) ?></p>

            </div>
            
            <div class="col-lg-12">
                <h2>Consulta24</h2>

                <p>Mostrar los apellidos de los empelados con el nombre del departamento al que pertenece</p>
                <p><?= Html::a("ejecutar consulta", ['emple/consulta24']) ?></p>

            </div>
            
            <div class="col-lg-12">
                <h2>Consulta25</h2>

                <p>Mostrar los apellidos y oficio de los empleados con el nombre del departamento al que pertenece</p>
                <p><?= Html::a("ejecutar consulta", ['emple/consulta25']) ?></p>

            </div>
            
            
             <div class="col-lg-12">
                <h2>Consulta28</h2>

                <p>Mostrar los apellidos de los empleados ordenados por oficio y apellido</p>
                <p><?= Html::a("ejecutar consulta", ['emple/consulta28']) ?></p>

            </div>
            
            <div class="col-lg-12">
                <h2>Consulta29</h2>

                <p>Mostrar los apellidos de los empleados cuyo apellido comience por a</p>
                <p><?= Html::a("ejecutar consulta", ['emple/consulta29']) ?></p>

            </div>
            
            <div class="col-lg-12">
                <h2>Consulta30</h2>

                <p>Mostrar los apellidos de los empleados cuyo apellido comience por a o por m</p>
                <p><?= Html::a("ejecutar consulta", ['emple/consulta30']) ?></p>

            </div>
            
            <div class="col-lg-12">
                <h2>Consulta31</h2>

                <p>Mostrar los apellidos de los empleados cuyo apellido no termine por z</p>
                <p><?= Html::a("ejecutar consulta", ['emple/consulta31']) ?></p>

            </div>
            
             <div class="col-lg-12">
                <h2>C1</h2>

                <p>Mostrar todos los registros de departamento</p>
                <p><?= Html::a("ejecutar consulta", ['depart/c1']) ?></p>

            </div>
            
            <div class="col-lg-12">
                <h2>C2</h2>

                <p>Mostrar dept_no y localización de departamento</p>
                <p><?= Html::a("ejecutar consulta", ['depart/c2']) ?></p>

            </div>
            
            <div class="col-lg-12">
                <h2>C3</h2>

                <p>Mostrar dept_no, nombre y localización de departamento</p>
                <p><?= Html::a("ejecutar consulta", ['depart/c3']) ?></p>

            </div>
            
            <div class="col-lg-12">
                <h2>C4</h2>

                <p>Cuenta departamentos</p>
                <p><?= Html::a("ejecutar consulta", ['depart/c4']) ?></p>

            </div>
        </div>

    </div>
</div>

views/site/contact.php
<?php

/* @var $this yii\web\View */
/* @var $form yii\bootstrap\ActiveForm */
/* @var $model app\models\ContactForm */

use yii\helpers\Html;
use yii\bootstrap\ActiveForm;
use yii\captcha\Captcha;

$this->title = 'Contact';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-contact">
    <h1><?= Html::encode($this->title) ?></h1>

    <?php if (Yii::$app->session->hasFlash('contactFormSubmitted')): ?>

        <div class="alert alert-success">
            Thank you for contacting us. We will respond to you as soon as possible.
        </div>

        <p>
            Note that if you turn on the Yii debugger, you should be able
            to view the mail message on the mail panel of the debugger.
            <?php if (Yii::$app->mailer->useFileTransport): ?>
                Because the application is in development mode, the email is not sent but saved as
                a file under <code><?= Yii::getAlias(Yii::$app->mailer->fileTransportPath) ?></code>.
                Please configure the <code>useFileTransport</code> property of the <code>mail</code>
                application component to be false to enable email sending.
            <?php endif; ?>
        </p>

    <?php else: ?>

        <p>
            If you have business inquiries or other questions, please fill out the following form to contact us.
            Thank you.
        </p>

        <div class="row">
            <div class="col-lg-5">

                <?php $form = ActiveForm::begin(['id' => 'contact-form']); ?>

                    <?= $form->field($model, 'name')->textInput(['autofocus' => true]) ?>

                    <?= $form->field($model, 'email') ?>

                    <?= $form->field($model, 'subject') ?>

                    <?= $form->field($model, 'body')->textarea(['rows' => 6]) ?>

                    <?= $form->field($model, 'verifyCode')->widget(Captcha::className(), [
                        'template' => '<div class="row"><div class="col-lg-3">{image}</div><div class="col-lg-6">{input}</div></div>',
                    ]) ?>

                    <div class="form-group">
                        <?= Html::submitButton('Submit', ['class' => 'btn btn-primary', 'name' => 'contact-button']) ?>
                    </div>

                <?php ActiveForm::end(); ?>

            </div>
        </div>

    <?php endif; ?>
</div>

views/site/error.php
<?php

/* @var $this yii\web\View */
/* @var $name string */
/* @var $message string */
/* @var $exception Exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p>
        The above error occurred while the Web server was processing your request.
    </p>
    <p>
        Please contact us if you think this is a server error. Thank you.
    </p>

</div>

views/site/index.php
<?php

/* @var $this yii\web\View */
    use yii\helpers\Html;
?>
<div class="site-index">

    <div class="jumbotron">
        <h1>Consultas de seleccion</h1>

        <p class="lead">Realizando consultas</p>
    </div>


    
</div>

views/site/login.php
<?php

/* @var $this yii\web\View */
/* @var $form yii\bootstrap\ActiveForm */
/* @var $model app\models\LoginForm */

use yii\helpers\Html;
use yii\bootstrap\ActiveForm;

$this->title = 'Login';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-login">
    <h1><?= Html::encode($this->title) ?></h1>

    <p>Please fill out the following fields to login:</p>

    <?php $form = ActiveForm::begin([
        'id' => 'login-form',
        'layout' => 'horizontal',
        'fieldConfig' => [
            'template' => "{label}\n<div class=\"col-lg-3\">{input}</div>\n<div class=\"col-lg-8\">{error}</div>",
            'labelOptions' => ['class' => 'col-lg-1 control-label'],
        ],
    ]); ?>

        <?= $form->field($model, 'username')->textInput(['autofocus' => true]) ?>

        <?= $form->field($model, 'password')->passwordInput() ?>

        <?= $form->field($model, 'rememberMe')->checkbox([
            'template' => "<div class=\"col-lg-offset-1 col-lg-3\">{input} {label}</div>\n<div class=\"col-lg-8\">{error}</div>",
        ]) ?>

        <div class="form-group">
            <div class="col-lg-offset-1 col-lg-11">
                <?= Html::submitButton('Login', ['class' => 'btn btn-primary', 'name' => 'login-button']) ?>
            </div>
        </div>

    <?php ActiveForm::end(); ?>

    <div class="col-lg-offset-1" style="color:#999;">
        You may login with <strong>admin/admin</strong> or <strong>demo/demo</strong>.<br>
        To modify the username/password, please check out the code <code>app\models\User::$users</code>.
    </div>
</div>